com.genesyslab.wfm8.API.service.locator800

## Class Location

- java.lang.Object
- - com.genesyslab.wfm8.API.service.locator800.Location

- All Implemented Interfaces:
    java.io.Serializable

      public class Location
      extends java.lang.Object
      implements java.io.Serializable

  Defines location of the service
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `backupURL` Contains an URL to the Session service of backup server of located server.
    `protected java.lang.String` | `backupWSDL` Contains URL to the session service WSDL provider of backup server.
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `sessionServiceURL` Contains an URL to the Session service of the located server.
    `protected java.lang.String` | `sessionServiceWSDL` Contains an URL to the Session service WSDL provider.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Location()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getBackupURL()` Gets the value of the backupURL property.
    `java.lang.String` | `getBackupWSDL()` Gets the value of the backupWSDL property.
    `java.lang.String` | `getSessionServiceURL()` Gets the value of the sessionServiceURL property.
    `java.lang.String` | `getSessionServiceWSDL()` Gets the value of the sessionServiceWSDL property.
    `int` | `hashCode()`
    `void` | `setBackupURL(java.lang.String value)` Sets the value of the backupURL property.
    `void` | `setBackupWSDL(java.lang.String value)` Sets the value of the backupWSDL property.
    `void` | `setSessionServiceURL(java.lang.String value)` Sets the value of the sessionServiceURL property.
    `void` | `setSessionServiceWSDL(java.lang.String value)` Sets the value of the sessionServiceWSDL property.
    `java.lang.String` | `toString()`
    `Location` | `withBackupURL(java.lang.String value)`
    `Location` | `withBackupWSDL(java.lang.String value)`
    `Location` | `withSessionServiceURL(java.lang.String value)`
    `Location` | `withSessionServiceWSDL(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### sessionServiceURL

          protected java.lang.String sessionServiceURL

      Contains an URL to the Session service of the located server.

    - #### sessionServiceWSDL

          protected java.lang.String sessionServiceWSDL

      Contains an URL to the Session service WSDL provider. Some SOAP proxies require it to establish connection to the service.

    - #### backupURL

          protected java.lang.String backupURL

      Contains an URL to the Session service of backup server of located server.

    - #### backupWSDL

          protected java.lang.String backupWSDL

      Contains URL to the session service WSDL provider of backup server.

  - ### Constructor Detail

    - #### Location

          public Location()

  - ### Method Detail

    - #### getSessionServiceURL

          public java.lang.String getSessionServiceURL()

      Gets the value of the sessionServiceURL property.
      Returns:
        possible object is `String`

    - #### setSessionServiceURL

          public void setSessionServiceURL(java.lang.String value)

      Sets the value of the sessionServiceURL property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSessionServiceWSDL

          public java.lang.String getSessionServiceWSDL()

      Gets the value of the sessionServiceWSDL property.
      Returns:
        possible object is `String`

    - #### setSessionServiceWSDL

          public void setSessionServiceWSDL(java.lang.String value)

      Sets the value of the sessionServiceWSDL property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBackupURL

          public java.lang.String getBackupURL()

      Gets the value of the backupURL property.
      Returns:
        possible object is `String`

    - #### setBackupURL

          public void setBackupURL(java.lang.String value)

      Sets the value of the backupURL property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBackupWSDL

          public java.lang.String getBackupWSDL()

      Gets the value of the backupWSDL property.
      Returns:
        possible object is `String`

    - #### setBackupWSDL

          public void setBackupWSDL(java.lang.String value)

      Sets the value of the backupWSDL property.
      Parameters:
        `value` - allowed object is `String`

    - #### withSessionServiceURL

          public Location withSessionServiceURL(java.lang.String value)

    - #### withSessionServiceWSDL

          public Location withSessionServiceWSDL(java.lang.String value)

    - #### withBackupURL

          public Location withBackupURL(java.lang.String value)

    - #### withBackupWSDL

          public Location withBackupWSDL(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.